EUCA-MODIFY-NETWORK-INTERFACE-ATTRIBUTE(1)

NAME
euca-modify-network-interface-attribute - Modify an attribute of a VPC network interface

SYNOPSIS
euca-modify-network-interface-attribute

(-d DESC | --source-dest-check (true|false)
    | --group-id GROUP | -a ATTACHMENT) [--delete-on-termination (true|false)] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INTERFACE

DESCRIPTION
Modify an attribute of a VPC network interface

  positional arguments:

INTERFACE
    ID of the network interface to modify (required)

  optional arguments:

-d DESC, --description DESC
    set the interface's description

--source-dest-check (true|false)
    set whether source/destination checking is enabled

--group-id GROUP
    set the security groups the network interface belongs to (use more than one to specify multiple groups)

-a ATTACHMENT, --attachment ATTACHMENT
    the ID of an attachment to modify. --delete-ontermination is required when this option is used.

--delete-on-termination (true|false)
    set whether the interface's attachment will be deleted when the instance terminates (requires -a/--attachment)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit